coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/callCenterInquiries/{inquiryId}/confirms2609170000

Coupang Contact Center Inquiry Check

# 01

Summary

Coupang Contact Center Inquiry Check

# 02

Details

Available buyer market: Korean, Taiwan

Use this API to check and process the inquiry that had been consulted by Coupang and then transferred to the seller for confirmation (Unconfirmed status: TRANSFER).

Inquiries that have been terminated by the counselor or 24 hours have elapsed since the confirmation request cannot be confirmed anymore.

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/callCenterInquiries/{inquiryId}/confirms

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00010028/callCenterInquiries/1007837444/confirms

URL API Name

CONFIRM_INQUIRY
# 03

Path parameters

NameTypeDescription
vendorId*object
vendor ID
inquiryId*object
Inquiry ID
The seller enters which question to check.
First, use the Contact Center Inquiry Query API to check the value of the inquiry in 'Unconfirmed (TRANSFER)' status.
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
confirmBy*string
Actual user ID (Coupang Wing ID)

ID of the user affiliated to the seller (vendor)
Request exampleapplication/json
{
  "confirmBy": "wanger"
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
200/400/500
messagestring
Server response message
If success,it shows OK

Response Example

{
  "code": "200",
  "message": "OK"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400(Check Request Parameter)

This inquiry has closed. -522

(상담이 종료된 문의입니다 - 522 )

Check if the inquiry has already been confirmed or if 24 hours have passed. An error occurs if you double-check the closed inquiry.

400400 (Check Request Parameter)

The inquiry can't be answer. It can do only inquiryStatus:progress, partnerTransferStatus:requestAnswer

Check if the inquiry has already been confirmed or if 24 hours have passed. An error occurs if you double-check the closed inquiry.